Bug 133393 - pxeboot does not save kickstart file location
pxeboot does not save kickstart file location
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pxe (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 14:06 EDT by Andrew Robinson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-05 08:35:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Robinson 2004-09-23 14:06:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; MMS 
Standard)

Description of problem:
This was reported for RedHat 9 in bug 110609. I'm using RHEL-3-AS U3 
within a VMWare environment. Neither pxeboot nor redhat-config-
netboot saves the location of a specified kickstart file in the 
resulting configuration file. The solution given in 110609 was to 
upgrade to redhat-config-netboot-0.1.2-2. RHEL-3-AS U3 shipped with 
the 0.1.1-19 version and that is the only version I can find on 
RedHat's website.

Version-Release number of selected component (if applicable):
redhat-config-netboot-0.1.1-19

How reproducible:
Always

Steps to Reproduce:
1.Run pxeboot with the -K option or run redhat-config-netboot and 
fill in the Kickstart file location.
2.Check the resulting configuration file in /tftpboot/install-
linux/pxelinux.cfg. There will be no mention of a kickstart file.

    

Actual Results:  The machine booted across the network will drop into 
the interactive installer.

Expected Results:  The kickstart file would configure the 
installation so that it would be completely automated.

Additional info:
Comment 1 Daniel Walsh 2004-09-28 13:58:24 EDT
Please try system-config-netboot-0.1.4-1 off of Rawhide.

It has been renamed.
Comment 2 Andrew Robinson 2004-09-30 09:25:50 EDT
Sorry for the dumb questions, but which version is Rawhide and where 
do I find the rpm? My search on rhn only found the 0.1.3-7 version.

Thanks!
Comment 3 Daniel Walsh 2004-10-19 10:57:06 EDT
ftp://people.redhat.com/dwalsh/netboot/redhat-config-netboot-0.1.5-1.i386.rpm

This version will be in the U4 update.

Dan

Note You need to log in before you can comment on or make changes to this bug.